Jifty::Plugin::SQLQueries(3)

NAME
Jifty::Plugin::SQLQueries - Inspect your app's SQL queries

DESCRIPTION
This plugin will log each SQL query, its duration, its bind parameters, and its stack trace. Such reports are available at:

    http://your.app/__jifty/admin/requests

USAGE
Add the following to your site_config.yml

 framework:
   Plugins:
     - SQLQueries: {}

METHODS

  init
Sets up a "post_init" hook.

  inspect_before_request
Clears the query log so we don't log any unrelated previous queries.

  inspect_after_request
Stash the query log.

  inspect_render_summary
Display how many queries and their total time.

  inspect_render_analysis
Render a template with all the detailed information.

  post_init
Tells Jifty::DBI to log queries in a way that records stack traces.

  prereq_plugins
This plugin depends on Jifty::Plugin::RequestInspector.

COPYRIGHT AND LICENSE
Copyright 2007-2009 Best Practical Solutions

This is free software and may be modified and distributed under the same terms as Perl itself.